These are chat archives for coala/coala-bears

8th
Oct 2018
Nalin Bhardwaj
@nalinbhardwaj
Oct 08 2018 08:44
On trying to run markdownbear, i get the error “remark is not installed” even though npm install -g remark and npm install -g remark-cli has already been ran.
Boxuan Li
@li-boxuan
Oct 08 2018 09:03
@nalinbhardwaj Have you tried npm install -g remark-lint
Nalin Bhardwaj
@nalinbhardwaj
Oct 08 2018 09:26
@li-boxuan : that doesnt work either
Boxuan Li
@li-boxuan
Oct 08 2018 09:41
@nalinbhardwaj Oh seems you also need to install remark-validate-links
Nalin Bhardwaj
@nalinbhardwaj
Oct 08 2018 10:51
@li-boxuan : awesome, that worked. Thanks!
Boxuan Li
@li-boxuan
Oct 08 2018 11:48
Seems we should let coala tell people what exact library is missing, instead of simply telling them xx is not installed. Not sure if there is an issue for this.
John Vandenberg
@jayvdb
Oct 08 2018 11:52
I doubt there is an issue for that. and likely package_manager doesnt give enough information for that to be done properly yet
Boxuan Li
@li-boxuan
Oct 08 2018 13:53
Yeah, something related here coala/coala-bears#586